Last Comment Bug 394418 - [FIX]Notify on text changes before firing mutation events
: [FIX]Notify on text changes before firing mutation events
Status: RESOLVED FIXED
[sg:moderate?] possibly exploitable, ...
: fixed1.8.0.14, fixed1.8.1.8
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: mozilla1.9alpha8
Assigned To: Boris Zbarsky [:bz]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-30 23:59 PDT by Boris Zbarsky [:bz]
Modified: 2007-12-10 17:55 PST (History)
8 users (show)
bzbarsky: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix (1.46 KB, patch)
2007-08-30 23:59 PDT, Boris Zbarsky [:bz]
jonas: review+
jonas: superreview+
dveditz: approval1.8.1.8+
dveditz: approval1.8.0.14+
jst: approval1.9+
Details | Diff | Review
Branch patch (8.44 KB, patch)
2007-09-14 14:47 PDT, Boris Zbarsky [:bz]
no flags Details | Diff | Review

Description Boris Zbarsky [:bz] 2007-08-30 23:59:52 PDT
Created attachment 279064 [details] [diff] [review]
Fix

Like bug 387460 but for text.
Comment 1 Boris Zbarsky [:bz] 2007-08-31 19:18:25 PDT
Comment on attachment 279064 [details] [diff] [review]
Fix

Requesting approvals.  This is a quite safe fix that makes sure we don't send incorrect notifications.
Comment 2 Daniel Veditz [:dveditz] 2007-09-07 10:47:24 PDT
Comment on attachment 279064 [details] [diff] [review]
Fix

approved for 1.8.1.7 and 1.8.0.14, a=dveditz for release-drivers
Comment 3 Johnny Stenback (:jst, jst@mozilla.com) 2007-09-10 16:46:59 PDT
Fix landed on trunk (per request from Damon). Marking bug FIXED.
Comment 4 Boris Zbarsky [:bz] 2007-09-14 14:47:19 PDT
Created attachment 280943 [details] [diff] [review]
Branch patch
Comment 5 Boris Zbarsky [:bz] 2007-09-14 14:47:59 PDT
Fixed on branches.
Comment 6 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2007-10-04 16:25:54 PDT
I tried to come up with a testcase that crashes when using DOMCharacterDataModified on the branch, but I didn't succeed, so I can't verify this.
Comment 7 Al Billings [:abillings] 2007-12-10 17:55:07 PST
Any further luck on a test case?

Note You need to log in before you can comment on or make changes to this bug.